/** Galleria slideshow for the Mini gallery of PmWiki 
    This file was written by Petko Yotov 2011-2015 www.pmwiki.org/petko
    NOTE: Galleria needs jQuery 1.x not 2. */

var DefaultGalleriaOptions = { height: 400, width: 500 }

$(document).ready(function(){
  function getDataConfig(img) {
    var x = $(img).attr('title').split(/::/);
    if(x.length>1) return { description: x[1], title: x[0] }; 
    return { description: $(img).parent('A').attr('href').replace(/^.*\/([^\/]+)$/i, '$1') }; 
  }
  
  $(".Galleria").each(function(idx){
    var cn = $(this).attr('class').replace(/^Galleria /, '').split(/\s+/);
    var gopt = {};
    $.extend(gopt, DefaultGalleriaOptions);
    gopt.dataConfig = gopt.dataConfig || getDataConfig;
    for(var i=0; i<cn.length; i++) {
      var a = cn[i].match(/^([a-z]+)_(\S+)/i)
      if(! a) continue;
      if(a[2].match(/^[0-9]+pct$/)) a[2] = parseInt(a[2])+'%';
      else if(a[2].match(/^-?[0-9p]*\d$/)) a[2] = parseFloat(a[2].replace(/p/g, '.'));
      else if(a[2].toLowerCase()==='true') a[2] = true;
      else if(a[2].toLowerCase()==='false') a[2] = false;
      gopt[a[1]] = a[2];
    }
    $(this).galleria(gopt);
  });
});
